{
  config,
  pkgs,
  ...
}:
let
  inherit (pkgs.stdenv.hostPlatform) isDarwin;
  _1pass_socket =
    if isDarwin then
      "${config.home.homeDirectory}/Library/Group Containers/2BUA8C4S2C.com.1password/t/agent.sock"
    else
      "${config.home.homeDirectory}/.1password/agent.sock";
in
{
  programs.ssh = {
    enable = true;
    includes = if isDarwin then [ "${config.home.homeDirectory}/.colima/ssh_config" ] else [ ];
    matchBlocks = {
      "10.*" = {
        setEnv = {
          "TERM" = "xterm-256color";
        };
      };
      "acicchetti.dev" = {
        extraOptions = {
          "IdentityAgent" = "'${_1pass_socket}'\n";
        };
      };
      "*.sr.ht" = {
        extraOptions = {
          "IdentityAgent" = "'${_1pass_socket}'\n";
        };
      };
      "github.com" = {
        extraOptions = {
          "IdentityAgent" = "'${_1pass_socket}'\n";
        };
      };
      "pass.beer" = {
        extraOptions = {
          "IdentityAgent" = "'${_1pass_socket}'\n";
        };
      };
      "git.anthonycicchetti.com" = {
        extraOptions = {
          "IdentityAgent" = "'${_1pass_socket}'\n";
        };
      };
      "steamdeck" = {
        user = "deck";
        hostname = "192.168.1.55";
      };
    };
  };
}
