{ ... }:
{
  programs.starship = {
    enable = true;
    enableZshIntegration = true;
    settings = {
      aws = {
        symbol = "  ";
      };

      battery = {
        disabled = true;
      };

      buf = {
        symbol = " ";
      };

      c = {
        symbol = " ";
      };

      character = {
        success_symbol = "[◯](bold green)";
        error_symbol = "[✗](bold red)";
        vicmd_symbol = "[ƴ](bold yellow)";
      };

      command_timeout = 1000;
      conda = {
        symbol = " ";
      };
      continuation_prompt = "→→";

      custom.jj = {
        command = ''
                jj log -r@ -l1 --ignore-working-copy --no-graph --color always  -T '
            separate(" ",
              branches.map(|x| if(
                  x.name().substr(0, 10).starts_with(x.name()),
                  x.name().substr(0, 10),
                  x.name().substr(0, 9) ++ "…")
                ).join(" "),
              tags.map(|x| if(
                  x.name().substr(0, 10).starts_with(x.name()),
                  x.name().substr(0, 10),
                  x.name().substr(0, 9) ++ "…")
                ).join(" "),
              surround("\"","\"",
                if(
                   description.first_line().substr(0, 24).starts_with(description.first_line()),
                   description.first_line().substr(0, 24),
                   description.first_line().substr(0, 23) ++ "…"
                )
              ),
              if(conflict, "conflict"),
              if(divergent, "divergent"),
              if(hidden, "hidden"),
            )
          '
        '';
        detect_folders = [ ".jj" ];
        symbol = "jj";
      };
      custom.jjstatus = {
        command = ''jj log -r@ -l1 --no-graph -T "" --stat | tail -n1 | sd "(\d+) files? changed, (\d+) insertions?\(\+\), (\d+) deletions?\(-\)" " $${1}m $${2}+ $${3}-" | sd " 0." ""'';
        detect_folders = [ ".jj" ];
      };

      dart = {
        symbol = " ";
      };

      directory = {
        read_only = " ";
      };

      docker_context = {
        symbol = " ";
      };

      elixir = {
        symbol = " ";
      };

      elm = {
        symbol = " ";
      };

      fossil_branch = {
        symbol = " ";
      };

      git_branch = {
        symbol = " ";
      };

      git_metrics = {
        disabled = false;
        added_style = "bold blue";
      };

      git_status = {
        disabled = true;
        ahead = "⇡\${count}";
        diverged = "⇕⇡\${ahead_count}⇣\${behind_count}";
        behind = "⇣\${count}";
      };

      golang = {
        symbol = " ";
      };

      guix_shell = {
        symbol = " ";
      };

      haskell = {
        symbol = " ";
      };

      haxe = {
        symbol = "⌘ ";
      };

      hg_branch = {
        symbol = " ";
      };

      hostname = {
        ssh_symbol = " ";
      };

      java = {
        symbol = " ";
      };

      jobs = {
        symbol = "+";
      };

      julia = {
        symbol = " ";
      };

      lua = {
        symbol = " ";
      };

      memory_usage = {
        symbol = " ";
      };

      meson = {
        symbol = "喝 ";
      };

      nim = {
        symbol = " ";
      };

      nix_shell = {
        symbol = " ";
      };

      nodejs = {
        symbol = " ";
      };

      os.symbols = {
        "Alpaquita" = " ";
        "Alpine" = " ";
        "Amazon" = " ";
        "Android" = " ";
        "Arch" = " ";
        "Artix" = " ";
        "CentOS" = " ";
        "Debian" = " ";
        "DragonFly" = " ";
        "Emscripten" = " ";
        "EndeavourOS" = " ";
        "Fedora" = " ";
        "FreeBSD" = " ";
        "Garuda" = "﯑ ";
        "Gentoo" = " ";
        "HardenedBSD" = "ﲊ ";
        "Illumos" = " ";
        "Linux" = " ";
        "Mabox" = " ";
        "Macos" = " ";
        "Manjaro" = " ";
        "Mariner" = " ";
        "MidnightBSD" = " ";
        "Mint" = " ";
        "NetBSD" = " ";
        "NixOS" = " ";
        "OpenBSD" = " ";
        "openSUSE" = " ";
        "OracleLinux" = " ";
        "Pop" = " ";
        "Raspbian" = " ";
        "Redhat" = " ";
        "RedHatEnterprise" = " ";
        "Redox" = " ";
        "Solus" = "ﴱ ";
        "SUSE" = " ";
        "Ubuntu" = " ";
        "Unknown" = " ";
        "Windows" = " ";
      };

      package = {
        symbol = " ";
      };

      pijul_channel = {
        symbol = "🪺 ";
      };
      python = {
        symbol = " ";
      };

      rlang = {
        symbol = "ﳒ ";
      };

      ruby = {
        symbol = " ";
      };

      rust = {
        symbol = " ";
      };

      scala = {
        symbol = " ";
      };

      spack = {
        symbol = "🅢 ";
      };
    };
  };
}
