(module config.plugin.lspconfig
  {autoload {nvim aniseed.nvim
             util config.util}})


(let [(lspconfig? lspconfig) (pcall require :lspconfig)
      (mason? mason) (pcall require :mason)
      (mason-lsp? mason-lsp) (pcall require :mason-lspconfig)]
  (when mason-lsp?
    (mason.setup)
    (mason-lsp.setup)
    (lspconfig.rust_analyzer.setup {
                                    :cmd ["rustup" "run" "nightly" "rust-analyzer"]
                                    :settings {:rust-analyzer {
                                                 :cargo {
                                                   :buildScripts {
                                                      :enable true
                                                      }
                                                   }
                                                 :procMacro {
                                                   :enable true
                                                 }
                                                 :checkOnSave {
                                                               :command "clippy"
                                                               }
                                                 :inlayHints {
                                                              :bindingModeHints {
                                                                                 :enable true
                                                                                 }
                                                              }
                                               }
                                             }
                                    })
    (lspconfig.yamlls.setup {})))
